Index: NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/src/OCE/CRS/crs.F90
===================================================================
--- NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/src/OCE/CRS/crs.F90	(revision 14197)
+++ NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/src/OCE/CRS/crs.F90	(revision 14644)
@@ -32,6 +32,6 @@
       INTEGER  ::  jpi_crsm1, jpj_crsm1         !: loop indices      
       INTEGER  ::  jpiglo_crsm1, jpjglo_crsm1   !: loop indices      
-      INTEGER  ::  nperio_full, nperio_crs      !: jperio of parent and coarse grids
-      INTEGER  ::  npolj_full, npolj_crs        !: north fold mark
+!!$      INTEGER  ::  nperio_full, nperio_crs      !: jperio of parent and coarse grids
+!!$      INTEGER  ::  npolj_full, npolj_crs        !: north fold mark
       INTEGER  ::  jpiglo_full, jpjglo_full     !: jpiglo / jpjglo
       INTEGER  ::  npiglo, npjglo               !: jpjglo
@@ -46,25 +46,5 @@
       INTEGER  ::  nimpp_full, njmpp_full       !: global position of point (1,1) of subdomain on parent grid
       INTEGER  ::  nimpp_crs, njmpp_crs         !: set to 1,1 for now .  Valid only for monoproc
-      !cc
-      INTEGER ::   noea_full, nowe_full        !: index of the local neighboring processors in
-      INTEGER ::   noso_full, nono_full        !: east, west, south and north directions
-      INTEGER ::   npne_full, npnw_full        !: index of north east and north west processor
-      INTEGER ::   npse_full, npsw_full        !: index of south east and south west processor
-      INTEGER ::   nbne_full, nbnw_full        !: logical of north east & north west processor
-      INTEGER ::   nbse_full, nbsw_full        !: logical of south east & south west processor
-      INTEGER ::   nidom_full                  !: ???
-      INTEGER ::   nproc_full                  !:number for local processor
-      INTEGER ::   nbondi_full, nbondj_full    !: mark of i- and j-direction local boundaries
-      INTEGER ::   noea_crs, nowe_crs          !: index of the local neighboring processors in
-      INTEGER ::   noso_crs, nono_crs          !: east, west, south and north directions
-      INTEGER ::   npne_crs, npnw_crs          !: index of north east and north west processor
-      INTEGER ::   npse_crs, npsw_crs          !: index of south east and south west processor
-      INTEGER ::   nbne_crs, nbnw_crs          !: logical of north east & north west processor
-      INTEGER ::   nbse_crs, nbsw_crs          !: logical of south east & south west processor
-      INTEGER ::   nidom_crs                   !: ???
-      INTEGER ::   nproc_crs                   !:number for local processor
-      INTEGER ::   nbondi_crs, nbondj_crs      !: mark of i- and j-direction local boundaries
-      
-
+     
       INTEGER, DIMENSION(:), ALLOCATABLE :: mis_crs, mie_crs, mis2_crs, mie2_crs  ! starting and ending i-indices of parent subset
       INTEGER, DIMENSION(:), ALLOCATABLE :: mjs_crs, mje_crs, mjs2_crs, mje2_crs ! starting and ending  j-indices of parent subset
@@ -72,12 +52,12 @@
       INTEGER, DIMENSION(:), ALLOCATABLE :: mi0_crs, mi1_crs, mj0_crs, mj1_crs
       INTEGER  :: mxbinctr, mybinctr            ! central point in grid box
-      INTEGER, DIMENSION(:), ALLOCATABLE ::    jpiall_crs,  jpiall_full   !: dimensions of every subdomain
-      INTEGER, DIMENSION(:), ALLOCATABLE ::   nis0all_crs, nis0all_full   !: first, last indoor index for each i-domain
-      INTEGER, DIMENSION(:), ALLOCATABLE ::   nie0all_crs, nie0all_full   !: first, last indoor index for each j-domain
-      INTEGER, DIMENSION(:), ALLOCATABLE ::    nimppt_crs,  nimppt_full   !: first, last indoor index for each j-domain
-      INTEGER, DIMENSION(:), ALLOCATABLE ::    jpjall_crs,  jpjall_full   !: dimensions of every subdomain
-      INTEGER, DIMENSION(:), ALLOCATABLE ::   njs0all_crs, njs0all_full   !: first, last indoor index for each i-domain
-      INTEGER, DIMENSION(:), ALLOCATABLE ::   nje0all_crs, nje0all_full   !: first, last indoor index for each j-domain
-      INTEGER, DIMENSION(:), ALLOCATABLE ::    njmppt_crs,  njmppt_full   !: first, last indoor index for each j-domain
+!!$      INTEGER, DIMENSION(:), ALLOCATABLE ::    jpiall_crs,  jpiall_full   !: dimensions of every subdomain
+!!$      INTEGER, DIMENSION(:), ALLOCATABLE ::   nis0all_crs, nis0all_full   !: first, last indoor index for each i-domain
+!!$      INTEGER, DIMENSION(:), ALLOCATABLE ::   nie0all_crs, nie0all_full   !: first, last indoor index for each j-domain
+!!$      INTEGER, DIMENSION(:), ALLOCATABLE ::    nimppt_crs,  nimppt_full   !: first, last indoor index for each j-domain
+!!$      INTEGER, DIMENSION(:), ALLOCATABLE ::    jpjall_crs,  jpjall_full   !: dimensions of every subdomain
+!!$      INTEGER, DIMENSION(:), ALLOCATABLE ::   njs0all_crs, njs0all_full   !: first, last indoor index for each i-domain
+!!$      INTEGER, DIMENSION(:), ALLOCATABLE ::   nje0all_crs, nje0all_full   !: first, last indoor index for each j-domain
+!!$      INTEGER, DIMENSION(:), ALLOCATABLE ::    njmppt_crs,  njmppt_full   !: first, last indoor index for each j-domain
 
  
@@ -231,8 +211,8 @@
          &      hmlp_crs(jpi_crs,jpj_crs) , hmlpt_crs(jpi_crs,jpj_crs) , STAT=ierr(14) )
          
-      ALLOCATE( nimppt_crs (jpnij) , jpiall_crs (jpnij) , nis0all_crs (jpnij) , nie0all_crs (jpnij),   &
-         &      nimppt_full(jpnij) , jpiall_full(jpnij) , nis0all_full(jpnij) , nie0all_full(jpnij),   &
-                njmppt_crs (jpnij) , jpjall_crs (jpnij) , njs0all_crs (jpnij) , nje0all_crs (jpnij),   &
-         &      njmppt_full(jpnij) , jpjall_full(jpnij) , njs0all_full(jpnij) , nje0all_full(jpnij)  , STAT=ierr(15) )
+!!$      ALLOCATE( nimppt_crs (jpnij) , jpiall_crs (jpnij) , nis0all_crs (jpnij) , nie0all_crs (jpnij),   &
+!!$         &      nimppt_full(jpnij) , jpiall_full(jpnij) , nis0all_full(jpnij) , nie0all_full(jpnij),   &
+!!$                njmppt_crs (jpnij) , jpjall_crs (jpnij) , njs0all_crs (jpnij) , nje0all_crs (jpnij),   &
+!!$         &      njmppt_full(jpnij) , jpjall_full(jpnij) , njs0all_full(jpnij) , nje0all_full(jpnij)  , STAT=ierr(15) )
    
       crs_dom_alloc = MAXVAL(ierr)
@@ -269,7 +249,7 @@
       jpim1  = jpim1_full
       jpjm1  = jpjm1_full
-      jperio = nperio_full
-
-      npolj  = npolj_full
+!!$      jperio = nperio_full
+
+!!$      npolj  = npolj_full
       jpiglo = jpiglo_full
       jpjglo = jpjglo_full
@@ -284,12 +264,12 @@
       njmpp = njmpp_full
       
-      jpiall (:) = jpiall_full (:)
-      nis0all(:) = nis0all_full(:)
-      nie0all(:) = nie0all_full(:)
-      nimppt (:) = nimppt_full (:)
-      jpjall (:) = jpjall_full (:)
-      njs0all(:) = njs0all_full(:)
-      nje0all(:) = nje0all_full(:)
-      njmppt (:) = njmppt_full (:)
+!!$      jpiall (:) = jpiall_full (:)
+!!$      nis0all(:) = nis0all_full(:)
+!!$      nie0all(:) = nie0all_full(:)
+!!$      nimppt (:) = nimppt_full (:)
+!!$      jpjall (:) = jpjall_full (:)
+!!$      njs0all(:) = njs0all_full(:)
+!!$      nje0all(:) = nje0all_full(:)
+!!$      njmppt (:) = njmppt_full (:)
 
    END SUBROUTINE dom_grid_glo
@@ -308,7 +288,7 @@
       jpim1  = jpi_crsm1
       jpjm1  = jpj_crsm1
-      jperio = nperio_crs
-
-      npolj  = npolj_crs
+!!$      jperio = nperio_crs
+
+!!$      npolj  = npolj_crs
       jpiglo = jpiglo_crs
       jpjglo = jpjglo_crs
@@ -324,12 +304,12 @@
       njmpp = njmpp_crs
       
-      jpiall (:) = jpiall_crs (:)
-      nis0all(:) = nis0all_crs(:)
-      nie0all(:) = nie0all_crs(:)
-      nimppt (:) = nimppt_crs (:)
-      jpjall (:) = jpjall_crs (:)
-      njs0all(:) = njs0all_crs(:)
-      nje0all(:) = nje0all_crs(:)
-      njmppt (:) = njmppt_crs (:)
+!!$      jpiall (:) = jpiall_crs (:)
+!!$      nis0all(:) = nis0all_crs(:)
+!!$      nie0all(:) = nie0all_crs(:)
+!!$      nimppt (:) = nimppt_crs (:)
+!!$      jpjall (:) = jpjall_crs (:)
+!!$      njs0all(:) = njs0all_crs(:)
+!!$      nje0all(:) = nje0all_crs(:)
+!!$      njmppt (:) = njmppt_crs (:)
       !
    END SUBROUTINE dom_grid_crs
